/****   Copyright (c) 2000  Alexandros V. Gerbessiotis
	Read copyright notice in file copy
 ****/
#include "ai.h"
#define SCALE    1000000.0
#define MULTIPLIER 16807
#define MODULUS    2147483647
#define MIN(X,Y) (((X) <= (Y))?(X):(Y))
#define MAX(X,Y) (((X) >= (Y))?(X):(Y))

void estimate_L(int *,int *,int,int,int);
void h1test(int * , int *,int ,int ,int);
void h2test(int * , int *,int ,int ,int);

